#!/usr/bin/env python
# -*- coding: utf-8 -*-

import os
import shutil

def cpdir(src, dst):
	fs = os.listdir(src)
	if 'install.py' in fs:
		fs.remove('install.py')

	for file in fs:
		if os.path.isdir(os.path.join(src, file)):
			os.mkdir(os.path.join(dst, file))
			cpdir(os.path.join(src, file), os.path.join(dst, file))
		else:
			shutil.copyfile(os.path.join(src, file), os.path.join(dst, file))

try:
	os.mkdir('/opt/alb')
	cpdir(os.getcwd(), '/opt/alb')
		
	f = open('/usr/bin/alb', 'w')
	f.write('#!/bin/bash\n\npython /opt/alb/alb.py $1 $2 $3 $4 $5 $6 $7 $8 $9')
	f.close()
	
	f = open('/opt/alb/pos.py', 'w')
	f.write('DIR = \'/opt/alb\'')
	f.close()
	
	os.chmod('/usr/bin/alb', 0777)
except:
	print 'Run this script as root'
